pro plot3
;
; Program plots sigma-z "Free-Edge" stress distribution at the
; at the midplane of a four ply [0/90]/s  bi-direcitonal laminate 
; which is loaded by an out-of-plane mechanical strain (MECH) and 
; a temperature change (THERM).
;
;      Created by lfemiwedge090.f and savgedge0909.f
;      Results plotted and saved to savgz_yb_edge090.gif
;
;  Program written by RD.Kriz, 19Sept00
;
status=DC_READ_FIXED('data3.dat',rows,Format='(E11.4)',/Column)
numr=size(rows)
numberr=numr(1)
openr,1,'data3.dat'
aa=fltarr(2) & bb=fltarr(2)
data=fltarr(numberr)
datc=fltarr(numberr)
datd=fltarr(numberr)
datx=fltarr(2)
zero=fltarr(2)
for i=1,numberr do begin
 readf,1,dataa,datcc,datdd
data(i-1)=dataa
datc(i-1)=datcc
datd(i-1)=datdd
endfor
aa(0)=max(datc) & aa(1)=max(datd)
max=max(aa)
bb(0)=min(datc) & bb(1)=min(datd)
min=min(bb)
datx(0)=data(0) & datx(1)=data(numberr-1)
zero(0)=0.0 & zero(1)=0.0
print,data,datc,datd
set_plot,'pm'
!P.Background=254
!Y.Range=[min,max]
!X.Range=[data(0),data(numberr-1)]
!P.Charsize=1.4
!P.Position(*)=0
 !P.Position(0)=110
 !P.Position(1)=50
 !P.Position(2)=580
 !P.Position(3)=450
TEK_COLOR
openzbuff,640,480
plot,datx,zero,Color=0,/DEVICE,/NOCLIP,$
Title='Debond Stress, Sigma-Z, at Midplane',$
Ytitle='Sigma-Z/strain-x,  lb/in**2',$
Xtitle='Y/B'
print,'Position Coord.s',!P.Position
oplot,data,datc,Psym=-2,Color=2
oplot,data,datd,Psym=-4,Color=5
closezbuff,'sigz_yb_edge090.gif'
close,1
return
end
